package com.lightinit.hsdataplatform.model.admin;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Created by Administrator on 2018/5/25 0025.
 */
public class DataSupplySearchModel {


    private long id;
    private Long userId;


    private Long belongtoSectorId;
    private String belongtoSectorName;
    private Long rqrmntSectorId;
    private String rqrmntSectorName;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date publishDateFrom;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date publishDateTo;


    private String timeSpan;
    private String requirementState;
    private String openType;
    private String shareType;
    private String backType;

    public String getBackType() {
        return backType;
    }

    public void setBackType(String backType) {
        this.backType = backType;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    private String requirementSource;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getRequirementSource() {
        return requirementSource;
    }

    public void setRequirementSource(String requirementSource) {
        this.requirementSource = requirementSource;
    }


    public String getBelongtoSectorName() {
        return belongtoSectorName;
    }

    public void setBelongtoSectorName(String belongtoSectorName) {
        this.belongtoSectorName = belongtoSectorName;
    }

    public String getRqrmntSectorName() {
        return rqrmntSectorName;
    }

    public void setRqrmntSectorName(String rqrmntSectorName) {
        this.rqrmntSectorName = rqrmntSectorName;
    }


    public Date getPublishDateFrom() {
        return publishDateFrom;
    }

    public void setPublishDateFrom(Date publishDateFrom) {
        this.publishDateFrom = publishDateFrom;
    }

    public Date getPublishDateTo() {
        return publishDateTo;
    }

    public void setPublishDateTo(Date publishDateTo) {
        this.publishDateTo = publishDateTo;
    }

    public String getRequirementState() {
        return requirementState;
    }

    public void setRequirementState(String requirementState) {
        this.requirementState = requirementState;
    }

    public String getTimeSpan() {
        return timeSpan;
    }

    public void setTimeSpan(String timeSpan) {
        this.timeSpan = timeSpan;
    }

    public Long getBelongtoSectorId() {
        return belongtoSectorId;
    }

    public void setBelongtoSectorId(Long belongtoSectorId) {
        this.belongtoSectorId = belongtoSectorId;
    }

    public Long getRqrmntSectorId() {
        return rqrmntSectorId;
    }

    public void setRqrmntSectorId(Long rqrmntSectorId) {
        this.rqrmntSectorId = rqrmntSectorId;
    }
}
